# Method: buyers.auctionPackages.get

- [HTTP request](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.auctionPackages/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.auctionPackages/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.auctionPackages/get#body.request_body)
- [Response body](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.auctionPackages/get#body.response_body)
- [Authorization scopes](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.auctionPackages/get#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.auctionPackages/get#try-it)

Gets an auction package given its name.

### HTTP request

`GET https://authorizedbuyersmarketplace.googleapis.com/v1/{name=buyers/*/auctionPackages/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of auction package to get. Format: `buyers/{accountId}/auctionPackages/{auctionPackageId}` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.auctionPackages#AuctionPackage`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/authorized-buyers-marketplace`